/* config.h.in.  Generated from configure.ac by autoheader.  */


#ifndef SC_CONFIG_H
#define SC_CONFIG_H


/* enable i18n (gettext) */
#undef ENABLE_NLS

/* bundled nls files from dependencies (MacOSX only) */
#undef MACOSX_BUNDLE_NLS

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#undef NO_MINUS_C_MINUS_O

/* Name of package */
#undef PACKAGE

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* enable embedded testcode & testrunner */
#undef SC_EMBED_TESTS

/* berkeley db */
#undef SC_HAVE_BDB

/* neon */
#undef SC_HAVE_NEON

/* serf */
#undef SC_HAVE_SERF

/* Version number of package */
#undef VERSION

/* Define to 1 if the X Window System is missing or not being used. */
#undef X_DISPLAY_MISSING

/* MacOSX */
#undef _MACOSX


/* gettext */
#define _n(x) x

#ifdef ENABLE_NLS
#include <libintl.h>
// libintl.h defines sprintf to libintl_sprintf. Unfortunately
// QCString has an sprintf method. Since sprintf is a define
// now the linker requires a QCString::libintl_sprintf symbol.
// To fix this we undef sprintf again.
#undef sprintf

#define _(x)  dgettext(PACKAGE_NAME, x)
#define _q(x) QString::fromUtf8(dgettext(PACKAGE_NAME, x))
#define _s(x) sc::String(dgettext(PACKAGE_NAME, x))
#else
#define _(x)  (x)
#define _q(x) QString::fromUtf8(x)
#define _s(x) sc::String(x)
#endif

#endif // SC_CONFIG_H

